## succbone
succbone is our "automation" system for the vacuum system of the SEM.

![succbone control panel](./succbone-control-panel.jpg)

### Features
- Read a TPR280 pirani gauge (0-10V analog input)
- 8x relay outputs for
  - Roughing pump interlock
  - Diffusion pump interlock
  - Emulate _Pump-Down_ push button
  - Emulate _Vent_ push button
  - Signal two different vacuum levels to the original evacuation controller
    * Rough vacuum reached
    * High vacuum reached
- Diffusion pump temperature monitoring via three PT100 sensors
- Environmental temperature & humidity monitoring (external sensor)

### Device Overview
These are the main devices powering the succbone control system.  For details,
please check the wiring diagrams in [`panel.pdf`](./panel.pdf).

- `-KEB1`: BeagleBone as main control system with addonboard for PSU & analog 0-10V readout
- `-KED1`: MikroTik RB450G router as gateway to the outside and network switch
- `-KED2`: MODBUS-TCP to MODBUS-RTU bridge
- `-KEC1`: MODBUS-RTU 8x relay output and 8x digital input board
- `-KEC2`: MODBUS-RTU 8x PT100 500°C transmitter
- `-BTA1`: MODBUS-RTU environmental temperature & humidity sensor
- `-QAA1`: Contactor for the roughing pump interlock
- `-QAA2`: Contactor for the diffusion pump interlock

### 3D-Printed Components
- [DIN-rail mount for the BeagleBone](https://www.printables.com/model/1058768-beaglebone-din-mount)
- [DIN-rail mount for the MikroTik RB450G]
- (legacy: [DIN-rail mount for relay board](https://www.printables.com/model/1019947-relay-board-din-rail-mount))
- [Cable Strain Relief Plates](https://www.printables.com/model/932070-parametric-cable-strain-relief-plate)
